@font-face {
  font-family: 'FilsonPro-Normal', sans-serif;
  src: local('FilsonPro-Normal'), url(./../../../../fonts/FilsonPro-Regular.woff) format('woff');
}

//dummy class
.dayTile {
  visibility: visible;
}

.datePickerContainer {
  display: flex;
  width: 368px;
  height: 90px;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 3px 6px #0000000d;
  border-radius: 20px;
  opacity: 1;
  padding: 17px;
  align-items: center;
  justify-content: space-evenly;

  img {
    width: 66px;
    height: 62px;
  }

  & .distributionContainer {
    display: flex;
    flex-direction: column;
    justify-content: start;

    :global {
      font-family: 'FilsonPro-Normal', sans-serif;

      .ms-Dropdown .ms-Dropdown-title {
        border: 1px solid #bcd0e1;
        border-radius: 5px;
        width: 220px;
        color: #07193a;
      }

      .ms-Dropdown-title.ms-Dropdown-titleIsPlaceHolder span {
        color: #bcd0e1;
        font-style: italic;
      }
      .ms-Dropdown-title.title span {
        color: #07193a;
        font-weight: bold;
      }
    }

    p {
      margin-top: 0;
      margin-bottom: 8px;
      font-size: 18px;
      font-weight: bold;
      font-family: 'FilsonPro-Normal', sans-serif;
      letter-spacing: 0px;
      color: #07193a;
      opacity: 1;
    }

    .distributionDropdown {
      background: #ffffff 0% 0% no-repeat padding-box;
      border: 1px solid #bcd0e1;
      border-radius: 5px;
      opacity: 1;
    }
  }
}

.calendarPage__wrapper {
  display: flex;
  justify-content: space-evenly;
  padding-top: 2em;
}

.calendarPage__calendarWrapper {
  font-family: 'FilsonPro-Normal', sans-serif;
}

.calendarPage__previewWrapper {
  font-family: 'FilsonPro-Normal', sans-serif;
  display: flex;
  flex-direction: column;
}

.calendarPage__preview_data {
  padding: 2em 0;
  display: flex;
  flex-direction: column;

  & label {
    line-height: 19px;
    font-weight: bold;
    letter-spacing: 0px;
    color: #07193a;
    opacity: 1;
    margin-bottom: 8px;
  }

  & label:not(:first-child) {
    margin-top: 20px;
  }
}

:global {
  font-family: 'FilsonPro-Normal', sans-serif;

  .ms-Callout.ms-Dropdown-callout.callout-106.css-67 {
    background: #ffffff 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 6px #0000000d;
    border-radius: 5px;
    overflow: hidden;
    border: none;
  }

  .dropdownItem-111 {
    color: #07193a;
  }
  .react-calendar__navigation {
    background: transparent linear-gradient(96deg, #91eff9 0%, #28dbef 100%) 0% 0% no-repeat padding-box;
    opacity: 1;
  }

  .react-calendar__navigation__label {
    background: none;
    font: normal normal bold 16px/17px 'Filson Pro';
    letter-spacing: 0px;
    color: #ffffff !important;
    opacity: 1;
  }
  .react-calendar__tile--active:first-child,
  .react-calendar__tile--active:last-child {
    visibility: visible;
  }
  .react-calendar__tile--active,
  .react-calendar__tile:hover {
    visibility: visible;
  }

  .react-calendar__tile--range {
    background-color: #91eff9 !important;
    color: #07193a !important;
    opacity: 0.2;
  }
  .react-calendar__tile--rangeStart,
  .react-calendar__tile--rangeEnd {
    background-color: #28dbef !important;
    color: white !important;
    opacity: 1;
  }

  .react-calendar__tile--rangeStart {
    border-top-left-radius: 12px !important;
    border-bottom-left-radius: 12px !important;
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
  }

  .react-calendar__tile--rangeEnd {
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
  }

  .react-calendar {
    font-family: 'FilsonPro-Normal', sans-serif;
    background: #ffffff 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 6px #0000000d;
    border-radius: 20px 20px 0px 0px;
    border-radius: 20px;
    border-style: none;
    opacity: 1;
    overflow: hidden;
  }

  .react-calendar__month-view__weekdays__weekday abbr {
    color: #28dbef;
    text-decoration: none;
    font-weight: 100;
    text-transform: capitalize;
  }

  .react-calendar__navigation__label__labelText react-calendar__navigation__label__labelText--from {
    letter-spacing: 0px;
    color: #ffffff;
    opacity: 1;
  }
  .react-calendar button {
    text-align: center;
    letter-spacing: 0px;
    color: #07193a;
    opacity: 1;
    font-family: 'FilsonPro-Normal';
    border: 1px solid white;
  }

  .react-calendar__tile--now {
    border-radius: 50%;
    border: 2px solid #28dbef !important;
    background: transparent;

    &:hover {
      background-color: transparent;
    }
  }
  .react-calendar__tile--now:enabled:hover {
    background-color: transparent;
  }

  .calendarPage__preview_data_e249d372 label {
    font-weight: bold;
    letter-spacing: 0px;
    color: #07193a;
    opacity: 1;
  }

  .react-calendar__navigation__prev-button img,
  .react-calendar__navigation__next-button img {
    width: 17px;
  }

  .react-calendar__viewContainer {
    margin: 0.5em;
    padding: 0px 30px;
  }

  .react-calendar__navigation__prev2-button,
  .react-calendar__navigation__next2-button {
    display: none;
  }

  .react-calendar__month-view:first-child {
    margin-right: 30px;
  }

  .react-calendar__navigation button:disabled {
    background-color: transparent;
  }

  .react-calendar__tile:disabled {
    color: #dce9f3;
    background-color: transparent;
  }
  .react-calendar__month-view__days__day--neighboringMonth {
    visibility: hidden !important;
  }
}

.activeDay {
  background-color: #28dbef !important;
  border-radius: 12px !important;
  color: #07193a !important;
}

.calendarPage__wrapper__isMobile {
  flex-direction: column;
}

.calendarPage__calendarWrapper__isMobile {
  justify-content: center;
  display: flex;
  margin-bottom: 1em;
}

.calendarPage__previewWrapper__isMobile {
  align-items: center;
}

.datePickerContainer__isMobile {
  width: 320px;
}
